unit uFenster;
// ***********************************************************************
// K L A S S E :  TFensterFrm
// -----------------------------------------------------------------------
// Version     : 0.9
// Autor       : Molly Mustermann
//
// Aufgabe     : Fenster uebernimmt die Ein-/Ausgabe und steuert die
//               Funktionen ber ein GUI.
// Compiler    : DELPHI 5.0
// Aenderung   : 14-FEB-01
// ***********************************************************************

interface   // hier beginnt die Spezifikation der Klasse
// =======================================================================

uses        // Klassen, die vom Delphi-System intern gebraucht werden.
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TFensterFrm = class(TForm)    // hier ist die Fensterklasse definiert
    EndeBtn   : TButton;        // mit ihren Attributen
    RotBtn    : TButton;
    MeldePnl  : TPanel;

    procedure EndeBtnClick(Sender: TObject);  // und den Ereignis-Methoden
    procedure RotBtnClick(Sender: TObject);

    private // hier drfen nur private Attribute und Methoden stehen
    public  //              ffentliche ""        ""       ""
  end;

var
  FensterFrm: TFensterFrm;    // hier steht das aktuelle Exemplar (Objekt)



implementation                // hier werden die Methoden codiert
// =======================================================================
{$R *.DFM}

procedure TFensterFrm.EndeBtnClick(Sender: TObject);
// -----------------------------------------------------------------------
begin
  FensterFrm.Close;
end;


procedure TFensterFrm.RotBtnClick(Sender: TObject);
// -----------------------------------------------------------------------
begin
  MeldePnl.Color   := clRED;
  MeldePnl.Caption := ' R O T - Button gedrckt ';
end;


END. // ========= Unit ===================================================
