unit uFenster;
(* ******************************************************************** *)
(* K L A S S E :  FensterFrm                                            *)
(* -------------------------------------------------------------------- *)
(* Version     : 2.0                                                    *)
(* Autor       :                                                        *)
(*                                                                      *)
(* Aufgabe     : Fenster uebernimmt die Ein-/Ausgabe und steuert die    *)
(*               Funktionen der Ampelsimulation ber ein GUI.           *)
(* Compiler    : DELPHI 5.0                                             *)
(* ******************************************************************** *)

interface
// ====================================================================

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
  uZeit;

type
  TFensterFrm = class(TForm)
    EndeBtn   : TButton;
    RotBtn    : TButton;
    GruenBtn  : TButton;
    GelbBtn   : TButton;
    RotPnl    : TPanel;
    GelbPnl   : TPanel;
    GruenPnl  : TPanel;
    Panel1    : TPanel;
    Panel3    : TPanel;

    procedure EndeBtnClick(Sender: TObject);
    procedure RotBtnClick(Sender: TObject);
    procedure GruenBtnClick(Sender: TObject);
    procedure GelbBtnClick(Sender: TObject);

   private
   public
  end;


var
  FensterFrm: TFensterFrm;

implementation
// ====================================================================
{$R *.DFM}

procedure TFensterFrm.EndeBtnClick(Sender: TObject);
// --------------------------------------------------------------------
begin
  FensterFrm.Close;
end;


procedure TFensterFrm.RotBtnClick(Sender: TObject);
// --------------------------------------------------------------------
begin
  RotPnl.Color   := clRED;
  GruenPnl.Color := clBlack;
  GelbPnl.Color  := clBlack;
end;

procedure TFensterFrm.GruenBtnClick(Sender: TObject);
// --------------------------------------------------------------------
begin
  GruenPnl.Color := clGreen;
  RotPnl.Color   := clBlack;
  GelbPnl.Color  := clBlack;
end;

procedure TFensterFrm.GelbBtnClick(Sender: TObject);
// --------------------------------------------------------------------
begin
  GelbPnl.Color  := clYellow;
  RotPnl.Color   := clBlack;
  GruenPnl.Color := clBlack;
end;


END.  // ============= Unit ===========================================
